# syntax=docker/dockerfile:1
FROM python:3.9.13
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

RUN apt-get update

RUN apt-get install -y swig libssl-dev dpkg-dev netcat
RUN pip install -U pip

# Add the Dokku-specific files to their locations.
ADD misc/dokku/CHECKS /app/
ADD misc/dokku/* /code/

WORKDIR /code
COPY requirements.txt /code/
RUN pip install -r requirements.txt

COPY . /code/

RUN /code/manage.py collectstatic --noinput